Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class MouseHandler

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.event.MouseInputAdapter
              org.gjt.sp.jedit.textarea.TextAreaMouseHandler
                  org.gjt.sp.jedit.textarea.MouseHandler

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.MouseInputListener

    public class MouseHandler

extends TextAreaMouseHandler

The mouseHandler used for jEdit.

Field Summary

Fields inherited from class org.gjt.sp.jedit.textarea.TextAreaMouseHandler
`clickCount, control, ctrlForRectangularSelection, dragged, dragStart, dragStartLine, dragStartOffset, maybeDragAndDrop, quickCopyDrag`

Constructor Summary
`MouseHandler(JEditTextArea textArea)`

Method Summary
`void` | `mousePressed(java.awt.event.MouseEvent evt)`
`void` | `mouseReleased(java.awt.event.MouseEvent evt)`

Methods inherited from class org.gjt.sp.jedit.textarea.TextAreaMouseHandler
`doDoubleClick, doSingleClick, doTripleClick, isMiddleButton, isPopupTrigger, isRightButton, mouseDragged, mouseMoved, showCursor`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Constructor Detail

### MouseHandler

    public MouseHandler(JEditTextArea textArea)

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `TextAreaMouseHandler`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `TextAreaMouseHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD